package com.example.soulfood_assignment2;

import android.annotation.SuppressLint;
import android.content.Intent;
import android.media.MediaPlayer;
import android.os.Bundle;
import android.support.v7.app.AppCompatActivity;
import android.util.Log;
import android.view.View;
import android.widget.AdapterView;
import android.widget.ArrayAdapter;
import android.widget.ListView;
import android.widget.TextView;

import com.spotify.android.appremote.api.SpotifyAppRemote;

import java.util.ArrayList;
import java.util.Arrays;

public class swtViewScreen extends AppCompatActivity {

    public ListView tagResults;
    public Intent songView;


    public ArrayList<String> chineseResults = new ArrayList<String>();
    public ArrayList<String> thaiResults = new ArrayList<String>();
    public ArrayList<String> indianResults = new ArrayList<String>();
    public ArrayList<String> japaneseResults = new ArrayList<String>();
    public ArrayList<String> italianResults = new ArrayList<String>();
    public ArrayList<String> mexicanResults = new ArrayList<String>();
    public ArrayList<String> frenchResults = new ArrayList<String>();
    public ArrayList<String> americanResults = new ArrayList<String>();
    public ArrayList<String> chillResults = new ArrayList<String>();
    public ArrayList<String> happyResults = new ArrayList<String>();


    public ArrayAdapter<String> chineseAdapter;
    public ArrayAdapter<String> thaiAdapter;
    public ArrayAdapter<String> indianAdapter;
    public ArrayAdapter<String> japaneseAdapter;
    public ArrayAdapter<String> italianAdapter;
    public ArrayAdapter<String> mexicanAdapter;
    public ArrayAdapter<String> frenchAdapter;
    public ArrayAdapter<String> americanAdapter;
    public ArrayAdapter<String> chillAdapter;
    public ArrayAdapter<String> happyAdapter;
    public ArrayAdapter<String> energeticAdapter;





    TextView tagNameView;
    databaseInterface di;
    public MainActivity ma = new MainActivity();


    @SuppressLint("StaticFieldLeak")
    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_swt_view_screen);
        String title = getIntent().getStringExtra("tag_name");
        final ArrayList<String> chineseIDs = getIntent().getStringArrayListExtra("results_array");

        tagNameView = findViewById(R.id.tagTextView);
        tagNameView.setText(title);

        chineseResults.addAll(Arrays.asList(getResources().getStringArray(R.array.chineseSearchResultsArray)));
        thaiResults.addAll(Arrays.asList(getResources().getStringArray(R.array.thaiSearchResultsArray)));
        indianResults.addAll(Arrays.asList(getResources().getStringArray(R.array.indianSearchResultsArray)));
        japaneseResults.addAll(Arrays.asList(getResources().getStringArray(R.array.japaneseSearchResultsArray)));
        italianResults.addAll(Arrays.asList(getResources().getStringArray(R.array.italianSearchResultsArray)));
        mexicanResults.addAll(Arrays.asList(getResources().getStringArray(R.array.mexicanSearchResultsArray)));
        frenchResults.addAll(Arrays.asList(getResources().getStringArray(R.array.frenchSearchResultsArray)));
        americanResults.addAll(Arrays.asList(getResources().getStringArray(R.array.americanSearchResultsArray)));
        chillResults.addAll(Arrays.asList(getResources().getStringArray(R.array.chilledSearchResultsArray)));
        happyResults.addAll(Arrays.asList(getResources().getStringArray(R.array.happySearchResultsArray)));


        chineseAdapter = new ArrayAdapter<String>(
                this, android.R.layout.simple_list_item_1, chineseResults
        );
        thaiAdapter = new ArrayAdapter<String>(
                this, android.R.layout.simple_list_item_1, thaiResults
        );
        indianAdapter = new ArrayAdapter<String>(
                this, android.R.layout.simple_list_item_1, indianResults
        );
        japaneseAdapter = new ArrayAdapter<String>(
                this, android.R.layout.simple_list_item_1, japaneseResults
        );
        italianAdapter = new ArrayAdapter<String>(
                this, android.R.layout.simple_list_item_1, italianResults
        );
        mexicanAdapter = new ArrayAdapter<String>(
                this, android.R.layout.simple_list_item_1, mexicanResults
        );
        frenchAdapter = new ArrayAdapter<String>(
                this, android.R.layout.simple_list_item_1, frenchResults
        );
        americanAdapter = new ArrayAdapter<String>(
                this, android.R.layout.simple_list_item_1, americanResults
        );
        chillAdapter = new ArrayAdapter<String>(
                this, android.R.layout.simple_list_item_1, chillResults
        );
        happyAdapter = new ArrayAdapter<String>(
                this, android.R.layout.simple_list_item_1, happyResults
        );


        tagResults = findViewById(R.id.tagListView);

        if (tagNameView.getText().toString().equals("Songs with 'Chinese' Tag")) {

            tagResults.setAdapter(chineseAdapter);

            tagResults.setOnItemClickListener(new AdapterView.OnItemClickListener() {
                @Override
                public void onItemClick(AdapterView<?> parent, View view, int position, long id) {
                    switch (position) {
                        case 0:
                            SpotifyClass spotifyClass = MainActivity.spotifyClass;
                            spotifyClass.pauseSong();
                            spotifyClass.playSong("0RvQJoaiQC3sYafoDTdiEJ");
                            break;
                        case 1:
                            songPage(chineseResults.get(1));
                            break;
                        case 2:
                            songPage(chineseResults.get(2));
                            break;
                        case 3:
                            songPage(chineseResults.get(3));
                            break;
                        case 4:
                            songPage(chineseResults.get(4));
                            break;
                        case 5:
                            songPage(chineseResults.get(5));
                            break;
                        case 6:
                            songPage(chineseResults.get(6));
                            break;
                    }
                }
            });
        } else if(tagNameView.getText().toString().equals("Songs with 'Thai' Tag")) {
            tagResults.setAdapter(thaiAdapter);
            tagResults.setOnItemClickListener(new AdapterView.OnItemClickListener() {
                @Override
                public void onItemClick(AdapterView<?> parent, View view, int position, long id) {
                    switch (position) {
                        case 0:
                            break;
                        case 1:
                            songPage(thaiResults.get(1));
                            break;
                        case 2:
                            songPage(thaiResults.get(2));
                            break;
                        case 3:
                            songPage(chineseResults.get(3));
                            break;
                        case 4:
                            songPage(chineseResults.get(4));
                            break;
                        case 5:
                            songPage(chineseResults.get(5));
                            break;
                        case 6:
                            songPage(chineseResults.get(6));
                            break;
                    }
                }
            });
        } else if (tagNameView.getText().toString().equals("Songs with 'Indian' Tag")) {
            tagResults.setAdapter(indianAdapter);
            tagResults.setOnItemClickListener(new AdapterView.OnItemClickListener() {
                @Override
                public void onItemClick(AdapterView<?> parent, View view, int position, long id) {
                    switch (position) {
                        case 0:
                            MediaPlayer mp = MediaPlayer.create(swtViewScreen.this, R.raw.beepsoundeffect);
                            mp.start();
                            //spotify api player
                            break;
                        case 1:
                            //spotify api player
                            break;
                        case 2:
                            //spotify api player
                            break;
                        case 3:
                            //spotify api player
                            break;
                        case 4:
                            //spotify api player
                            break;
                        case 5:
                            //spotify api player
                            break;
                        case 6:
                            //spotify api player
                            break;
                    }
                }
            });
        } else if (tagNameView.getText().toString().equals("Songs with 'Japanese' Tag")) {
            tagResults.setAdapter(japaneseAdapter);
            tagResults.setOnItemClickListener(new AdapterView.OnItemClickListener() {
                @Override
                public void onItemClick(AdapterView<?> parent, View view, int position, long id) {
                    switch (position) {
                        case 0:
                            MediaPlayer mp = MediaPlayer.create(swtViewScreen.this, R.raw.beepsoundeffect);
                            mp.start();
                            //spotify api player
                            break;
                        case 1:
                            //spotify api player
                            break;
                        case 2:
                            //spotify api player
                            break;
                        case 3:
                            //spotify api player
                            break;
                        case 4:
                            //spotify api player
                            break;
                        case 5:
                            //spotify api player
                            break;
                        case 6:
                            //spotify api player
                            break;
                    }
                }
            });
        } else if (tagNameView.getText().toString().equals("Songs with 'Italian' Tag")) {
            tagResults.setAdapter(italianAdapter);
            tagResults.setOnItemClickListener(new AdapterView.OnItemClickListener() {
                @Override
                public void onItemClick(AdapterView<?> parent, View view, int position, long id) {
                    switch (position) {
                        case 0:
                            MediaPlayer mp = MediaPlayer.create(swtViewScreen.this, R.raw.beepsoundeffect);
                            mp.start();
                            //spotify api player
                            break;
                        case 1:
                            //spotify api player
                            break;
                        case 2:
                            //spotify api player
                            break;
                        case 3:
                            //spotify api player
                            break;
                        case 4:
                            //spotify api player
                            break;
                        case 5:
                            //spotify api player
                            break;
                        case 6:
                            //spotify api player
                            break;
                    }
                }
            });
        } else if (tagNameView.getText().toString().equals("Songs with 'Mexican' Tag")) {
            tagResults.setAdapter(mexicanAdapter);
            tagResults.setOnItemClickListener(new AdapterView.OnItemClickListener() {
                @Override
                public void onItemClick(AdapterView<?> parent, View view, int position, long id) {
                    switch (position) {
                        case 0:
                            MediaPlayer mp = MediaPlayer.create(swtViewScreen.this, R.raw.beepsoundeffect);
                            mp.start();
                            //spotify api player
                            break;
                        case 1:
                            //spotify api player
                            break;
                        case 2:
                            //spotify api player
                            break;
                        case 3:
                            //spotify api player
                            break;
                        case 4:
                            //spotify api player
                            break;
                        case 5:
                            //spotify api player
                            break;
                        case 6:
                            //spotify api player
                            break;
                    }
                }
            });
        } else if (tagNameView.getText().toString().equals("Songs with 'French' Tag")) {
            tagResults.setAdapter(frenchAdapter);
            tagResults.setOnItemClickListener(new AdapterView.OnItemClickListener() {
                @Override
                public void onItemClick(AdapterView<?> parent, View view, int position, long id) {
                    switch (position) {
                        case 0:
                            MediaPlayer mp = MediaPlayer.create(swtViewScreen.this, R.raw.beepsoundeffect);
                            mp.start();
                            //spotify api player
                            break;
                        case 1:
                            //spotify api player
                            break;
                        case 2:
                            //spotify api player
                            break;
                        case 3:
                            //spotify api player
                            break;
                        case 4:
                            //spotify api player
                            break;
                        case 5:
                            //spotify api player
                            break;
                        case 6:
                            //spotify api player
                            break;
                    }
                }
            });
        } else if (tagNameView.getText().toString().equals("Songs with 'American' Tag")) {
            tagResults.setAdapter(americanAdapter);
            tagResults.setOnItemClickListener(new AdapterView.OnItemClickListener() {
                @Override
                public void onItemClick(AdapterView<?> parent, View view, int position, long id) {
                    switch (position) {
                        case 0:
                            MediaPlayer mp = MediaPlayer.create(swtViewScreen.this, R.raw.beepsoundeffect);
                            mp.start();
                            //spotify api player
                            break;
                        case 1:
                            //spotify api player
                            break;
                        case 2:
                            //spotify api player
                            break;
                        case 3:
                            //spotify api player
                            break;
                        case 4:
                            //spotify api player
                            break;
                        case 5:
                            //spotify api player
                            break;
                        case 6:
                            //spotify api player
                            break;
                    }
                }
            });
        } else if (tagNameView.getText().toString().equals("Songs with 'Chill' Tag")) {
            tagResults.setAdapter(chillAdapter);
            tagResults.setOnItemClickListener(new AdapterView.OnItemClickListener() {
                @Override
                public void onItemClick(AdapterView<?> parent, View view, int position, long id) {
                    switch (position) {
                        case 0:
                            MediaPlayer mp = MediaPlayer.create(swtViewScreen.this, R.raw.beepsoundeffect);
                            mp.start();
                            //spotify api player
                            break;
                        case 1:
                            //spotify api player
                            break;
                        case 2:
                            //spotify api player
                            break;
                        case 3:
                            //spotify api player
                            break;
                        case 4:
                            //spotify api player
                            break;
                        case 5:
                            //spotify api player
                            break;
                        case 6:
                            //spotify api player
                            break;
                        case 7:
                            //spotify api player
                            break;
                        case 8:
                            //spotify api player
                            break;
                        case 9:
                            //spotify api player
                            break;
                        case 10:
                            //spotify api player
                            break;
                    }
                }
            });
        } else if (tagNameView.getText().toString().equals("Songs with 'Happy' Tag")) {
            tagResults.setAdapter(happyAdapter);
            tagResults.setOnItemClickListener(new AdapterView.OnItemClickListener() {
                @Override
                public void onItemClick(AdapterView<?> parent, View view, int position, long id) {
                    switch (position) {
                        case 0:
                            MediaPlayer mp = MediaPlayer.create(swtViewScreen.this, R.raw.beepsoundeffect);
                            mp.start();
                            //spotify api player
                            break;
                        case 1:
                            //spotify api player
                            break;
                        case 2:
                            //spotify api player
                            break;
                        case 3:
                            //spotify api player
                            break;
                        case 4:
                            //spotify api player
                            break;
                        case 5:
                            //spotify api player
                            break;
                        case 6:
                            //spotify api player
                            break;
                        case 7:
                            //spotify api player
                            break;
                        case 8:
                            //spotify api player
                            break;
                        case 9:
                            //spotify api player
                            break;
                    }
                }
            });
        }


    }

    public void songPage(String songName) {
        songView = new Intent(this, SongScreenView.class);
        songView.putExtra("song_name", songName);
        startActivity(songView);
    }


}